<p-growl [(value)]="msgs" baseZIndex=14000></p-growl>
<div class="head-page" *ngIf="identity">
	<h1>{{titulo}}</h1>
	<a class="btn btn-default" *ngIf="identity && identity.role == 'ROLE_ADMIN'" [routerLink]="['/crear-artista']">
		Añadir artista
	</a>
	<ul class="pagination pull-right">
		<li><a [routerLink]="['/artistas', prev_page]">&laquo;</a></li>
		<li><a [routerLink]="['/artistas', next_page]">&raquo;</a></li>
	</ul>
</div>

<div class="clearfix"></div>

<ul class="artist-list" *ngIf="identity">
	<li *ngFor="let artist of artists" class="col-lg-2 col-md-3 col-sm-4 col-xs-10 artist-item">
		<div class="artist-image">
			<img src="{{ artist.imageURL }}">
		</div>
		<div class="artist-name">
			<a [routerLink]="['/artista', artist.id]">{{artist.name}}</a>

			<div class="buttons" *ngIf="identity.role == 'ROLE_ADMIN'">
				<a [routerLink]="['/editar-artista', artist.id]" class="btn btn-sm btn-warning">Editar</a>
				<a (click)="onDeleteConfirm(artist.id)" class="btn btn-sm btn-danger">Borrar</a>
			</div>

			<div class="seguro" *ngIf="confirmado == artist.id">
				<a (click)="onDeleteArtist(artist.id)" class="btn btn-sm btn-danger">Borrar</a>
				<a (click)="onCancelArtist(artist.id)" class="btn btn-sm btn-primary">Cancelar</a>
			</div>
		</div>
	</li>
</ul>